/*****************************************************************

    Bad1.java:  First attempt at combining sequential actions with 
    ---------     a cyclic Looper behaviour
    
    Author:  Jean Vaucher
    Date:    Aug 3 2003     
*****************************************************************/


import jade.core.Agent;
import jade.core.behaviours.*;


public class Bad1 extends Agent 
{
    
    protected void setup() 
    {
        addBehaviour( new TwoStep() );
        addBehaviour( new Looper( this, 300 ) );
    }
}


class TwoStep extends SimpleBehaviour
{   
    public void action() 
    {
        block( 500 );
        System.out.println( "--- Message 1 --- " );
        block( 1000 );
        System.out.println( "--- Message 2 --- " );
        finished = true;
    }
    
    private boolean finished = false;
    public  boolean done() {  return finished;  }
}