/*****************************************************************

    DF1.java:    First test of DF (Directory Facilitator) 
    -----------     
    
    Author:  Jean Vaucher
    Date:    Aug 12 2003     
********************************4********************************/


import jade.core.Agent;
import jade.core.behaviours.*;

import jade.domain.DFService;
import jade.domain.FIPAAgentManagement.*;
import jade.domain.FIPAException;

public class DF1 extends Agent 
{
    
    protected void setup() 
    {
		DFAgentDescription dfd = new DFAgentDescription();
		dfd.setName( getAID() );
        register( dfd );
        
		System.exit(0);
    }
    
    protected void register( DFAgentDescription dfd ) 
    {
        try {  
        	DFService.register(this, dfd );  
        }
		catch (FIPAException fe) {
			fe.printStackTrace(); 
		}
    }
    
}
