/*****************************************************************

	Receiver.java:  Agent which receives and prints messages
	--------------
    Author:  Jean Vaucher
    Date:    Aug 9 2003 
	
*****************************************************************/


import jade.core.Agent;
import jade.core.behaviours.*;
import jade.lang.acl.*;


public class Receiver extends Agent 
{
	
    protected void setup() 
    {
		addBehaviour(new CyclicBehaviour(this) 
		{
			 public void action() {
				ACLMessage msg= receive();
				if (msg!=null)
					System.out.println( " - " +
					   myAgent.getLocalName() + " <- " +
					   msg.getContent() );
				block();
			 }
		});
	}
}

