/*****************************************************************

    Bad3.java:  Using SLEEP to pace sequential actions 
    ---------     
    
    Author:  Jean Vaucher
    Date:    Aug 3 2003     
*****************************************************************/


import jade.core.Agent;
import jade.core.behaviours.*;


public class Bad3 extends Agent 
{
    long t0 = System.currentTimeMillis();

    protected void setup() 
    {
        addBehaviour( new TwoStep() );
        addBehaviour( new Looper( this, 300 ) );
    }

    class TwoStep extends SimpleBehaviour
    {   
        public void action() 
        {
           try
           {  System.out.println( "--- TwoStep start: " 
                       + (System.currentTimeMillis()-t0)/10*10 );
              Thread.sleep(200);
              System.out.println( " -- Message 1 ---: "
                       + (System.currentTimeMillis()-t0)/10*10 );
              Thread.sleep(500);
              System.out.println( "  - message 2    : "
                       + (System.currentTimeMillis()-t0)/10*10 );
           }
           catch (Exception e) {}
        }
        
        private int n = 0;
        public  boolean done() {  return ++n > 2;  }
    }

}
